define($DEV1 eth1,$SrcMAC1 08:00:27:92:9e:aa)
define($DEV2 eth2,$SrcMAC2 08:00:27:30:7a:10)
c0 :: Classifier(12/0806 20/0001,12/0806 20/0002,12/0800,-);
c1 :: Classifier(12/0806 20/0001,12/0806 20/0002,12/0800,-);

ar1 :: ARPResponder(172.16.2.1 0.0.0.0/0 $SrcMAC1);
ar2 :: ARPResponder(172.16.3.1 0.0.0.0/0 $SrcMAC2);
aq1 :: ARPQuerier(172.16.2.1,$SrcMAC1);
aq2 :: ARPQuerier(172.16.3.1,$SrcMAC2);
out1 :: Queue->ToDevice($DEV1);
out2 :: Queue->ToDevice($DEV2);

rt :: RadixIPLookup(0.0.0.0/0 0,
                    172.16.2.0/24 1,
                    172.16.3.0/24 2);

FromDevice($DEV1)->c0;
c0[0]->ar1->out1;
c0[1]->[1]aq1;
c0[2]->Strip(14)->CheckIPHeader()->[0]rt;
c0[3]->Discard;

FromDevice($DEV2)->c1;
c1[0]->ar2->out2;
c1[1]->[1]aq2;
c1[2]->Strip(14)->CheckIPHeader()->[0]rt;
c1[3]->Discard;

rt[1]->Print(ok1)->[0]aq1;
rt[2]->Print(ok2)->[0]aq2;
rt[0]->Discard;

aq1->out1;
aq2->out2;
