define($DEV1 eth1,$SrcMAC1 08:00:27:92:9e:aa,$DstMAC1 08:00:27:cb:f1:ec)
define($DEV2 eth2,$SrcMAC2 08:00:27:30:7a:10,$DstMAC2 08:00:27:62:19:b1)

rt :: RadixIPLookup(0.0.0.0/0 0,
                    172.16.2.0/24 1,
                    172.16.3.0/24 2);

FromDevice($DEV1)->Strip(14)
                 ->CheckIPHeader()->[0]rt;
FromDevice($DEV2)->Strip(14)
                 ->CheckIPHeader()->[0]rt;

rt[1]            ->Print(ok1)
                 ->Queue
                 ->EtherEncap(0x0800,$SrcMAC1,$DstMAC1)
                 ->ToDevice($DEV1);

rt[2]            ->Print(ok2)
                 ->Queue
                 ->EtherEncap(0x0800,$SrcMAC2,$DstMAC2)
                 ->ToDevice($DEV2);

rt[0]            ->Discard;
